package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.hxhq.common.core.annotation.Excel;
import com.hxhq.common.core.domain.MpBaseEntity;
import com.hxhq.common.core.utils.DateUtils;

import java.util.Date;


/**
 * 角色变更历史对象 t_role_change
 *
 * @author hxhq
 * @date 2026-02-04
 */
@TableName("t_role_change")
public class RoleChange extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户id */
    private Long userId;

    /** 操作类型 */
    @Excel(name = "操作类型",nameEn = "Meaning of Signature",sort = 2)
    private String jcmc;

    /** 操作类型-英文 */
    private String jcmcEn;

    /** 操作人id */
    private Long qmrId;

    /** 操作人名称 */
    @Excel(name = "签名人",nameEn = "Signed By",sort = 1)
    private String qmrMc;

    /** 操作人名称-英文 */
    private String qmrMcEn;

    /** 变更前角色 */
    @Excel(name = "变更前角色",nameEn = "Role Before Change",sort = 4)
    private String bgq;

    /** 变更后角色 */
    @Excel(name = "变更后角色",nameEn = "Role After Change",sort = 5)
    private String bgh;

    /** 创建时间 */
    @TableField(exist = false)
    @Excel(name = "签名时间", nameEn = "Date",sort = 3)
    private String createTimeText;


    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public void setJcmc(String jcmc)
    {
        this.jcmc = jcmc;
    }

    public String getJcmc()
    {
        return jcmc;
    }

    public void setJcmcEn(String jcmcEn)
    {
        this.jcmcEn = jcmcEn;
    }

    public String getJcmcEn()
    {
        return jcmcEn;
    }

    public void setQmrId(Long qmrId)
    {
        this.qmrId = qmrId;
    }

    public Long getQmrId()
    {
        return qmrId;
    }

    public void setQmrMc(String qmrMc)
    {
        this.qmrMc = qmrMc;
    }

    public String getQmrMc()
    {
        return qmrMc;
    }

    public void setQmrMcEn(String qmrMcEn)
    {
        this.qmrMcEn = qmrMcEn;
    }

    public String getQmrMcEn()
    {
        return qmrMcEn;
    }

    public void setBgq(String bgq)
    {
        this.bgq = bgq;
    }

    public String getBgq()
    {
        return bgq;
    }

    public void setBgh(String bgh)
    {
        this.bgh = bgh;
    }

    public String getBgh()
    {
        return bgh;
    }

    public String getCreateTimeText() {
        return createTimeText;
    }

    public void setCreateTimeText(String createTimeText) {
        this.createTimeText = createTimeText;
    }
}
